Skip to main content
GET
/
api
/
v0
/
companies
/
{company_id}
/
github
/
{account_name}
/
repositories
Endpoint to list the GitHub repositories the Cantina App has access to for a given account.
curl --request GET \
  --url https://api.example.com/api/v0/companies/{company_id}/github/{account_name}/repositories
import requests

url = "https://api.example.com/api/v0/companies/{company_id}/github/{account_name}/repositories"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/companies/{company_id}/github/{account_name}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "org": "<string>",
    "repo": "<string>",
    "private": true,
    "defaultBranch": "<string>"
  }
]
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

company_id
string<uuid>
required
account_name
string
required

Response

GitHub repositories

org
string
required
repo
string
required
private
boolean
required
defaultBranch
string
required